/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package pj4;

import java.io.File;
import java.io.FileWriter;
import java.io.IOException;
import java.io.PrintWriter;
import java.util.ArrayList;
import java.util.Formatter;
import java.util.Iterator;
import java.util.List;

/**
 *
 * @author sjokic
 */
public class ListaZaposlenih {
    
    
    private String nazivFirme;
    private List<Zaposleni> listaZaposlenih; 

    public ListaZaposlenih(String nazivFirme) {
        this.nazivFirme = nazivFirme;
 
        this.listaZaposlenih = new ArrayList();
    }
    
    public void dodajULlistu(Zaposleni p){
        
        this.listaZaposlenih.add(p); 
        
        System.out.println("Zaposleni " + p.getIme() + " " + p.getPrezime() + " dodat u listu"); 
         
    }
    
    
    public void prikaziListu(){
        
        Iterator<Zaposleni> iter = this.listaZaposlenih.iterator();
        while(iter.hasNext()){ // dok u listi postoje objketi
          
            Zaposleni tmp = iter.next();
             System.out.println("Zaposleni: " + tmp.getIme() +" "  +tmp.getPrezime() + " " + tmp.getAdresa());
        }
    }
    
    public void obrisiIzListe(Zaposleni z){
        this.listaZaposlenih.remove(z); 
    }
    
    public boolean proveriMaticniBroj(Zaposleni z){
        boolean provera = true;
        if(z.getMaticniBroj().length() == 13){
            for(int i=0; i<z.getMaticniBroj().length(); i++){
                
                if(!Character.isDigit(z.getMaticniBroj().charAt(i))){
                    provera = false;
                }
                
            }
        }else{
            provera = false;
        }
        
        if(provera){
            System.out.println("Maticni broj Zaposlenog je ispravan!");
            return provera;
        }else{
            System.out.println("Maticni broj Zaposlenog nije ispravan!");
            return provera;
        }
        
        
    }
    
    public void ucitajPodatkeUFajl(String nazivFajla){
        try{
        FileWriter fw = new FileWriter(nazivFajla);
        PrintWriter pw = new PrintWriter(fw);
        Iterator<Zaposleni> iter = this.listaZaposlenih.iterator();
        while(iter.hasNext()){
        String m = "";
        Zaposleni temp = iter.next(); // temp referenca iscitava podatke iz Zaposlenih
        m = temp.getIme() + " " + temp.getPrezime() + " " + temp.getAdresa() + " " + temp.getMaticniBroj();
        
        pw.println(m);
        }
        pw.close();
        fw.close();
        
        
        
        }catch(IOException e){
            System.out.println("Doslo je do greske!");
        }
        
    }
     
       
}
